Changelog:
==========

1.90.1 - 2013-08-17

    Engines:
        - FFmpeg Video, FFMpeg Web Video and FFmpeg Web Audio:
            - Fix issue that prevented plugins extending FFmpegWebAudio and FFmpegWebVideo safely
            - Updated FFmpeg for Windows
        - MEncoder Video:
            - Fix for spaces in font names breaking playback 

    Misc:
    	- Fixed regression with tsMuxer and H264 support
        - Restored Java support for file names with special characters on Mac OS X.

1.90.0 - 2013-07-31

    Engines:
        - FFmpeg Video, FFmpeg Web Audio and FFmpeg Web Video:
            - Add FFmpeg Web Audio engine
            - General improvements of usability and stability
            - Support for lossless video remuxing if supported by renderer
            - Support for AC-3 and DTS audio tracks remuxing
            - Support for external SRT and SSA/ASS subtitles
            - Support for auto charset detection of non UTF-8 external subtitles
        - tsMuxeR:
            - Regression: restore the pre-1.82.0 compatibility logic
        - VLC Web Video:
            - Fix NPE
            - Support for external subtitles (thanks, tdcosta100!)

    Renderers:
        - Xbox 360: improved quality
        - Improved Sony Blu-ray Player support (thanks, skeptical)
        - Send thumbnails properly to Samsung 2012 ES and EH models (thanks, dmitche3!)
        - Added renderer profiles (thanks, UMS developers):
            - KalemSoft Media Player
            - Netgear NeoTV
            - Onkyo TX-NR717
            - Sharp Aquos TVs
            - Showtime 4 PS3 homebrew player
            - Sony Bravia EX620 series TVs
            - Sony Bravia W6/W8/W9 (thanks, gui17aume)
            - Sony Home Theatre Systems
            - Telstra T-Box
            - VideoWeb TV
            - Vizio Smart TV
            - Yamaha RX-V3900

    Transcode folder:
        - Add entries for audio files
        - Add missing entries for video files
        - Add entries for web video and web audio files
        - Allow the chapter folder prefix to be localized
        - Hide chapter folders if the duration of the video is less than the chapter length
        - Don't hide engine names in the #--TRANSCODE--# folder if hide_enginenames is true

    Language updates:
        - Updated Dutch translation (thanks, leroy)
        - Updated French translation (thanks, gui17aume)

    Misc:
        - A lot of backports from UMS (thanks, all UMS developers!)
        - Windows: system-wide Java installation is not needed anymore, now we bundle private JRE with installer
        - Fix duplicate entries in DVD/playlist/feed folders: GC566, GC636, GC1483, GH13
        - More accurate checks for reference frame counts to allow more videos to be remuxed rather than transcoded
        - Removed obsolete MPlayerAudio, MPlayerWebAudio and MPlayerWebVideoDump engines
        - Filename display formats can now be set at the profile level as well as per-renderer
        - More detailed logging to improve diagnostics and simplify issue reporting
        - Fix generation of music subfolders in iTunes Library (thanks, gui17aume)
        - Build Windows installer with bundled JRE for 32-bit systems (PMS-setup-full.exe)
        - Build Windows installer with bundled JRE for 64-bit systems (PMS-setup-full-x64.exe)
        - Build Windows installer without bundled JRE (PMS-setup-without-jre.exe)
        - Removed silent JRE download and installation within PMS.exe wrapper if no private or public JREs are found. Prompt user to run PMS-setup-full.exe instead
        - Show user GPL licence during Windows installation
        - Windows installer now runs PS3 Media Server with normal user rights after installation is complete
        - Windows installer localization.
        - New Mac OS X installer with bundled JRE (pms-setup-macosx.tar.gz)
        - Added configuration option for forcing renderer per IP address (#115)

1.82.0 - 2013-06-03

    Engines:
        - dcraw Thumbnailer:
            - Fix image transcoding
            - Add support for more extensions
        - FFmpeg:
            - Fix bug that disabled FFmpeg for compatible files
            - Fix audio channel selection (thanks, valib)
        - MEncoder Video:
            - Fixed bug that caused embedded subtitles to be displayed instead of external (thanks, SubJunk)
            - Fixed handling of per-renderer aspect-ratio settings (thanks, ExSport)
        - tsMuxeR:
            - Fixed 24-bit FLAC support with tsMuxeR (thanks, SubJunk)
            - Fix bug that disabled tsMuxeR for compatible files
        - VLC:
            - Fix looping playback
            - Add multi-threading support (GC1624: thanks, ccampora)
        - Misc:
            - New engine: VLCWebVideo ("vlcwebvideo")
            - Clean up engine names

    Renderers:
        - PS3: TV series with sound problems after "previously on" block should now play normally with the "Keep AC-3 track" option enabled (thanks, SubJunk)

    Language updates:
        - Updated Dutch translation (thanks, leroy)

    Misc:
        - Fix issue with VirtualBox and PMS launchers (thanks, thepadawan42)
        - Added support for M4A files encoded with Fraunhofer AAC
        - Upgrade Thumbnailator to 0.4.4 to fix out-of-memory errors (thanks, coobird)

1.81.0 - 2013-04-21

    Engines:
        FFmpeg:
            - Add/fix audio channel options
            - Build script: add HTTPS support

    WEB.conf:
        - Add support for the file:// protocol
        - Match protocols (e.g. mms://...) before extensions (e.g. http://example.com/foo.mms)

    Misc:
        - Media Parser v1: fix audio channel parsing
        - Fix for "Can't assign requested address" bug after update to Java 1.6.0_45 on Mac OS X

1.80.0 - 2013-04-06

    Regressions:
        - Re-allow all transcode engines to be disabled

    PMS.conf:
        - FFmpeg has been renamed ffmpeg_video_custom_options and now defaults to null

    Renderers:
        - Document TranscodeVideo and TranscodeAudio profiles
        - Panasonic TVs: Add "exclusive" option to SeekByTime to work around a transcoding issue
        - PS3: Restore seek-by-time support for streaming
        - Android: allowing chunked transfer
        - AirPlayer & iPad/iPhone: transcoding to WMV format gives better results
        - Improved support for Sony Bravia HX (thanks, mazey!)
        - Improved streaming support for some renderers (thanks, ExSport!)

    Engines:
        FFmpeg Video and FFmpeg Web Video:
            - Support all three TranscodeVideo profiles: WMV, MPEGTSAC3 and MPEGPSAC3
            - Preserve source video quality
        FFmpeg Video:
            - Custom FFmpeg options are now read before each transcode rather than only at startup
              (parity with custom MEncoder options)
            - Rescale videos larger than the renderer's max height/width
            - Updated to use "wmav2" codec (#1583)
        FFmpeg Audio: support all TranscodeAudio profiles
        VLC:
            - Added support for VLC as engine (thanks, LordQuackstar!)

    Language updates:
        - Updated Brazilian translation (thanks, Bruno Arueira!)
        - Updated Catalan translation (thanks, oscaroe!)
        - Updated simplified Chinese translation (thanks, lovenemesis!)
        - Updated Italian translation (thanks, nocciola82!)

    Misc:
        - Fixed bug that prevents PMS running multiple profiles concurrently
        - Fixed NPE when responding to DLNA subtitle requests
        - Fixed NPE for empty soapactions
        - Image thumbnailer:
            - Added thumbnail support for TIFF and other formats
            - Trapped exception when handling unsupported formats
        - Fixed response to M-SEARCH "ssdp:all" message (thanks, ler0y!)
        - Fixed fontconfig configuration for Mac OS X, improving subtitle quality
        - Moved several transcoding settings from MEncoder to Common transcoding settings
        - Layout improvements to remove scroll bars where possible
        - Help is now context sensitive

1.72.0 - 2012-11-18

    Regressions:
        - Fixed bug that occurred when using ShowDVDTitleDuration
        - Fixed bug that caused embedded subtitles to be displayed when subtitles are disabled
        - Fixed bug in handling of filenames with embedded $ characters

    Engines:
        - Removed option to automatically switch to tsMuxeR (available manually via the #--TRANSCODE--# folder)

1.71.0 - 2012-11-06

    Windows:
        - Updated MEncoder and MPlayer to SB41
        - Updated ffmpeg to 1.0 (Zeranoe Build 2012-10-10)
        - Fixed file permissions bug

    Mac OS X subtitles:
        - Changed audio/subtitle defaults to accept anything
        - Removed fontconfig from MEncoder for improved subs compatibility

    Renderers:
        - Improved Android.conf video support
        - Added support for Samsung SMT-G7400 (UPC Horizon)
        - Fixed bug that prevented Galaxy Nexus pictures displaying

    Language updates:
        - Updated Chinese Traditional translation (thanks, mcc!)
        - Added Turkish icon

    Misc:
        - Updated MediaInfo to 0.7.60 (GC1508)
        - Updated h2 database to 1.3.168 (thanks, valib!)
        - Improve handling of initialization errors
        - Fixed possible error while loading iPhoto library (GC1523)
        - Fixed bug where disabled engines could be selected in the #--TRANSCODE--# folder
        - Added options for renderer-specific file name formats
        - Added ffmpeg build script

1.70.1 - 2012-08-31

    Packaging fix (Windows only)

1.70.0 - 2012-08-31

    Add new default web video engine: FFMpeg Web Video
    Add support for new web protocols: mmsh:// and mmst://
    Sort files alphanumerically by default e.g. Episode 2 before Episode 10
    Auto encoding detection of non UTF-8 external subtitles for Russian, Greek, Hebrew, Chinese, Korean and Japanese languages (leave "Subtitles codepage" option blank)
    Improved handling of UTF-8 external subtitles
    Localized #--TRANSCODE--# folder name
    PMS.conf:
        - Added transcode_folder_name option to allow #--TRANSCODE--# folder name to be customized (issue GC963)
    Make example PMS.conf behave more like built-in defaults
    Restore maximum buffer size to 600 MB (was 400 MB)
    Prevented image distortion on some DLNA clients with "Keep AC-3 track" option enabled
    Don't show entries for disabled engines in #--TRANSCODE--# folder
    Allow Traces tab panel to auto-scroll (thanks, LordQuackstar!)
    Revert changes to SMP-N100.conf that conflict with Sony Blu-ray players and break MKV support (thanks, mrw1986)
    Replaced ImageMagick with Thumbnailator for thumbnail generation
    Fix FFmpeg engine's handling of unsupported custom options (thanks, ajamess)
    Fixed FFmpeg command line arguments used by tsMuxeR video
    Added new renderer: Yamaha RX-A1010 (thanks, merelin)
    Language updates:
        - Updated Dutch translation (thanks, leroy)
        - Updated Bulgarian translation (thanks, JORDITO)
    Fix DNLA 2114 errors when scanning non-readable subfolders with "hide empty folders" enabled
    Renderers:
        - Deprecate misnamed TranscodeVideo profile MPEGAC3: use MPEGPSAC3 instead
        - Document and clean up TranscodeVideo and TranscodeAudio profiles
    Linux tarball: fix "cannot find tsMuxeR" error
    MEncoder:
        - disable AC-3 remux if audio track has delay
        - disable DTS and LPCM remuxing if tsMuxeR engine is unavailable

1.60.0 - 2012-07-17

    Enabled FFmpeg video player for all platforms
    Added support for PGS (Blu-ray) subtitles
    Added support for TX3G (MPEG-4 Timed Text) subtitles
    Added support for VobSub (DVD) subtitles in MP4 container
    Better handling of embedded SSA/ASS subs styling
    Fixed audio track selection for MP4s and MOVs
    Fixed DV videos detection
    Added support for WebM videos downloaded from YouTube
    Optimized CBRVideoBitrate value for Panasonic TVs (thanks, ExSport!)
    Added new renderer: Sony SMP-N100 (thanks, mrw1986 and guillepalao!)
    Language updates:
        - Catalan translation update (thanks, aseques!)
        - Simplified Chinese translation update (thanks, lovenemesis!)
    Localized audio and subtitle priority defaults

1.54.0 - 2012-06-25

    Added LPCM transcoding option for all audio tracks
    Added DTS HD-MA support up to 7.1 channels: DTS core remux, LPCM and AC-3 transcoding
    Added Dolby TrueHD support up to 7.1 channels: LPCM (recommended) and AC-3 (buggy for 7.1) transcoding
    Added workaround for 2.0 384 kbits AC-3 PS3 audio bug
    Added support for DirecTV HR series (thanks, DeFlanko!)
    Added support for LG's Smart TV Upgrader (LG 600ST)
    Added support for Yamaha RX-V671 (thanks, adresd!)
    Added support for OPPO BDP-83 and OPPO BDP-93 (thanks, adresd!)
    Fixed bug that occurred when resetting cache
    Made buffer display in megabytes instead of bytes
    Fixed overscan compensation bug on some renderers (thanks to tMH for reporting the bug!)
    Updated MPlayer for OS X to SB32
    Language updates:
        - CZE translation update (thanks, valib)

1.53.0 - 2012-06-11

    Fix global custom MEncoder options
    Re-fix NPE when toggling HTTP Engine V2
    Fix startup for symlinked PMS.sh (#1356) (thanks, Matthijs!)
    Added documentation to PMS.conf (thanks, Hagar!)
    Updated JNA to support multiarch directories on Linux (#1152)
        - Fix test/startup error caused by conflicting JNA versions
    Language updates:
        - added Arabic
        - added Hebrew (thanks, zvi-yamin!)
        - CZE translation update (thanks, valib)
        - Layout support for right-to-left languages added
    Added option to select and force the default renderer
    Fixed Samsung 2012 TVs timeout (thanks, troop!)
    Added support for D-link DSM-510 (thanks, glenrocks!)
    Updated MPlayer build script to SB32
    Fix "value too long" SQL exceptions
    If renderer has not specified a maximum height/width, default to 1920x1080
    Initial fix for Samsung 2012 TVs (thanks, troop!)
    Linux: load system-wide defaults from /etc/skel if user's profile not found
    Added recognition for AcePlayer app (thanks, md.versi!)
    Fix parsing of <real> in plist preventing iPhoto libraries from working
    Added Plugin development guide (thanks, glebb)

1.52.1 - 2012-04-06

    Updated MPlayer to SB29 which fixes AC-3 audio sync
    Allow JRE 6 instead of just JRE 7
    Language updates:
        - added Turkish (thanks, BrYaNT!)
        - updated Bulgarian (thanks, JORDITO!)
        - updated Catalan (thanks, aseques!)
        - updated Czech (thanks, valib!)
        - updated English labels
    Reading genre from media (thanks, nielsb!)

1.52.0 - 2012-03-22

    Fix program starting on Linux
    Support videos with resolutions that are not divisible by 4
    Improved overscan-compensation
    Fixed the display of Hebrew subtitles
    Improvements to logging
    Language updates:
        - Czech (thanks, valib!)

1.51.0 - 2012-03-17

    Fix StartStopListener callbacks for HTTP Engine V1
    Surface playback start/stop events
    Make video quality presets localizable
    Fixed OS X log message about font definitions
    Fixed double wrapping of streams causing stuttering
    Added MPEG4 ASP with Qpel support for PS3
    Allow 15fps video
    MediaInfo link added to the About tab
    Updated to latest versions of libraries (codec, jdom, logback and slf4j)
    Various stability and speed improvements
    Updated JRE autodownload to 7u3 from 7u2
    Updated MPlayer and MEncoder to SB28
    Updated ImageMagick Convert to 6.7.6
    Updated MediaInfo to 0.7.54
    More reliable selection of correct audio channels
    Improved fast-forward and rewind support

1.50.1 - 2012-01-28

    Fixed DLNAResource cloning problem (#1274)
    Added renderer configuration file for Philips TV (thanks, leroy!)
    Fixed bug in RootFolder (#1243)
    Improved child discovery for the root folder
    Enhanced network interface handling (#659)
    Fixed bug in Navigation Share tab
    Added Solaris specific ping command (#1277)
    Fixed problem parsing framerates with comma (#1278)
    Fixed bug in AVCHeader scanner
    Fixed broken MEncoder playback on empty custom settings
    Updated Sony Bravia EX configuration
    Fixed timeshift audio sync problem with tsMuxeR (thanks ExSport!)
    Added option to disable/enable DTS passthrough in video settings folder
    Updated Samsung AllShare configuration to recognize newest firmware
    Added support for WDHD Live and AirAv app (thanks, ehM.Deee!)
    Migrated PMS source to GitHub (https://github.com/ps3mediaserver/ps3mediaserver)
    Log build's commit id/date
    Added subtitle HTTP header support for SamsungAllShare (thanks, SamiMakinen!)
    Made streaming and transcoding logic more configurable (thanks, StreamHD!)
    Added country code thumbnails (thanks, happy-neko!)
    Updated FFmpeg to r35509 from r31564
    Updated JRE auto-download to 7u2 from 7u1
    Updated MediaInfo to 0.7.53 from 0.7.51
    Fixed delay when entering the media server
    Language updates:
        - Russian (thanks, Tianuchka!)
        - Clarified some settings in all languages
    Updated MPlayer/MEncoder to SB22 from SB18

1.50.0 - 2011-11-20

    Backwards-incompatible API changes (for plugin developers/packagers) - see http://tinyurl.com/3qtgk5k for more details
    Updated binaries build script to include Linux support (thanks, happy.neko!)
    Updated OS X MPlayer to include fontconfig support
    Language updates:
        - Updated Bulgarian translation (thanks, JORDITO!)
        - Updated German translation (thanks, smo!)
        - Updated Dutch translation
        - Clarified English language labels
        - Speeds displayed in Mb/s instead of Kb/s
    Added full featured IP filter with support for wildcards and ranges
    Improved network interface choosing algorithm now skips virtual interfaces
    Updated libraries (configuration, jgoodies and slf4j)
    Detect file system changes runtime (adding/removing folders/files).
    Updated JRE auto-download from 6u27 to 7u1
    Added option to create a desktop shortcut to the Windows installer
    Renderer image improvements
    Improvements to tab layouts
    Maximum bandwidth setting works
    Limit bandwidth to 110Mb/s by default which should solve a lot of "stuttering playback" reports
    Recognise forced subtitles (thanks, ExSport!)
    Updated MPlayer and MEncoder on Windows and OS X from Sherpya's old builds to SubJunk's new builds which fixes many playback issues, colour-conversion bugs and more (but possibly has drawbacks for some files, too)
    Main (Status) tab displays a large tick when it's connected to a renderer instead of a PS3 or warning image
    Updated MediaInfo to 0.7.51 from 0.7.47
    New natural sort option for file order: Alphanumeric (e.g. Season 2 before Season 10)
    Always allow "Restart Server" button (#1186)
    Updated FFmpeg for Windows to r31564 from r30656
    We now support Samsung AllShare, along with our existing support for Samsung WiseLink
    Allow to configure subtitle color if using PMS in headless mode (#1280)

1.40.0 - 2011-09-22

    Backwards-incompatible API changes (for plugin developers/packagers) - see http://tinyurl.com/3wspwn8 for more details
    Updated OS X MPlayer to enable external VOBsub, ASS/SSA and Fribidi support
    Allow update checks to be performed manually (Windows only)
    Allow automatic update checks to be enabled (Windows only)
    Simplify PMS customization for packagers of custom builds
    Logging fix for headless configurations
    Added experimental support for iPad / iPhone renderers
    Fixed DVD ISO playback on OS X (thanks, jjmojojjmojo!)
    Added support for the AirPlayer app
    Added support for Samsung TV model SEC_HHP_TV (thanks, coax-!)
    Added Aperture support on OS X (thanks, coax-!)
    Added thumbnail support for images (some code from http://www.rayinblu.com/ps3mediaserver)
    The cache is now reset after each upgrade/downgrade (for versions higher than 1.40.0)
    Files with the extension *.vdr are now recognized as MPG videos
    Added support for JPEG Multi-Picture Format (.mpo) files
    Added support for chunking renderers like Sony Bluray (thanks, infidel, WorldOfHurt and patters!)
    Updated Italian translation (thanks, nocciola82!)
    Fixed bug that would often limit streaming buffer to 50 MB.
    Updated FFmpeg for Windows to r30656 from r30172
    Updated French translation (thanks, danielha!)
    Updated Russian translation (thanks, Tianuchka!)
    Added support for regular ASS/SSA subtitles (before we only supported the more popular "advanced" kind)
    Updated MediaInfo to 0.7.47 from 0.7.44
    Updated JRE autodownload to 6u27 from 6u26
    Removed IP/hostname from Status tab (still shown in Traces)
    Updated libraries (codec, gson, jgoodies, logback and netty)

1.30.1 - 2011-07-06

    Fixed bug that caused very slow iTunes library parsing

1.30.0 - 2011-07-05

    Backwards-incompatible API changes (for plugin developers/packagers) - see http://tinyurl.com/3hbqv4l for more details
    Fix StartStopListener callbacks (GC719)
    Updated OS X binaries (FFmpeg, MEncoder and MPlayer) to fix an AC-3 bug and improve internal VOBsub display quality
    Optional GUI to allow profile to be selected when PMS starts
    Better UPnP spec compliance
    Logging improvements
    ASS/SSA subtitles disabled by default on Linux and OS X
    Multithreaded MEncoder enabled by default on multithreaded CPUs
    Subtitles stay within confines of original frame when using overscan compensation
    Made transcoding tab resizing consistent for all sizes
    Fixed DTS audio support with FFmpeg
    MEncoder supports DTS-ES (6.1 channels) audio
    Handles unknown audio channels
    Change maximum number of plugins to 30 from 4
    Improved MP4 support
    New Korean translation (thanks, mrahn80)
    Fixed bug where config sometimes wouldn't save on Windows 7

1.25.1 - 2011-06-17

    Overscan compensation bug fixed

1.25.0 - 2011-06-16

    Overscan compensation feature added for MEncoder
    Return of the official OS X build, thanks for your patience!
    MEncoder no longer crashes when using more then 8 cores
    New build script for OS X that builds all dependencies (big thanks to Raptor399)
    French translation fixed

1.24.0 - 2011-06-14

    New icon on OS X
    Added Bulgarian and Brazilian Portuguese translation (thanks to jordito and gelo)
    Updated Polish, French, German and Portuguese translation
    tsMuxeR handles mov files
    Updated FFmpeg to r30172 from r28671
    Updated JRE auto-dl
    Forcing MEncoder via the TRANSCODE folder ignores tsMuxeR
    Fixed support for renderers including Panasonic TVs
    Improved RAR support
    Updated libraries for OS X build
    Lots of fixes to the OS X build process so now it works
    Support for multi-language VOBsub subtitles
    It's possible to remove hard drives from list if they are no longer connected (thanks, spots)

1.23.0 - 2011-05-26

    Fixed Windows service
    Windows service now starts automatically with the computer
    Sony Bravia Z5500 (and possibly others) work again
    Fixed PS3 not being detected for some users
    Support cellphone/smartphone (3gp) videos
    Windows service is uninstalled with program
    Detect Popcorn Hour and WDTV live more reliably
    English, Russian and Dutch language updates

1.22.0 - 2011-05-15

    Many file compatibility bugs fixed (particularly MKV, MP4 and DVD ISO)
    Help tab improved
    Improved alphabetical file sorting (old method is still there for those who liked it)
    Language fixes and updates
    Added custom profiles
    Added new renderers: Sony HX7, Bravia NX8, Panasonic Viera range
    Network traffic prioritised properly (thanks to bgm)
    48fps videos are now supported
    Various other fixes

1.21.1 - 2011-04-15

    Rollback MPlayer for Windows to fix critical subtitle bug
    Add extra information to Windows uninstaller
    Fix NPE when toggling HTTP Engine V2

1.21.0 - 2011-04-12

    Support new devices: Android, Nokia N900
    Improved support for XBMC
    VOBsub subtitles are now supported on Windows
    Multithreaded MEncoder works on more things now
    Bandwidth optimisations
    New Help tab
    More file sorting options
    Improve error logging
    Buffer reports more accurately
    Properly support MEncoder multithreading on newer CPUs
    Updated MEncoder and FFMPEG
    Processes ended properly on Linux
    Many images added and updated in the program and Windows installer
    Support thumbnails for other aspect ratios than 16:9
    Support double-NTSC framerates
    Added DVD & VOBsub subtitle quality option for MEncoder (AKA subtitle anti-aliasing support)
    Many language fixes and improvements
    Config files are saved in AppData on Windows now instead of the install directory
    Folder names containing commas are now handled correctly when loading settings on startup (thanks, Targeter)
    GameTrailers support fixed
    WEB.conf parsed properly now
    iTunes library loads much faster
    Newer version of JRE is automatically downloaded for users who don't have it
    Window size tweaked to support lower resolutions better
    Internal scrollbars added for when content overflows
    Improved audio parsing
    Updated many dependencies
    Fixed DVR-MS support
    Fixed LPCM audio streaming
    Improved support for plugins
    Improved support for VLC Media Player
    Fixed many minor bugs

1.20.412 Beta - 2010-10-04

    Fixed DTSWAV support on PS3 and FLAC 24bits/96kHz with Video
    Fixed seeking issues on PS3 firmware 3.50
    Double check for Mplayer existence and font generation (useful for latest Sherpya's revisions)
    Ability to shutdown DLNAorgPN automatic support for a given renderer (see DLNAOrgPN attribute in the renderer conf file)
    Some hack stuff for mpeg2 remux on Bravia TVs
    RAW generation fixed
    Custom mencoder quality settings for a given renderer

1.20.409 Beta - 2010-03-27

    - Changes / Features

    MediaInfo support by default for PS3/XBOX, ongoing work on other renderers:
    -> Faster XMB navigation (faster parsing, plus file list appears before thumbnails generation)
    -> Proper auto detection of non supported files (PS3: Mpeg w/ DTS, Qpel/Gmc/H264 AVI files, Apple Lossless AAC files, 6 channels WMV, etc.)
    OS X: Switched to Java 6 which means Tiger is no longer supported, Leopard only with a 64bit capable processor (Intel Core 2 or newer) and Snow Leopard works with all Intel processors.
    AIFF support
    MP4 Cover art support

    - Fixes

    Issues with some audio m4a and video mp4 files (wrong mime types)
    Slowdown on FLAC media library scan

    v1.10.6 through 1.11.381 BETA versions

    - Changes / Features

    Externalization of PS3/Xbox playback profiles, it's now possible to create profiles for any media renderer
    Includes preliminary support for Sony Bravia, Popcorn Hour, Samsung Wiselink, Freebox HD, WDTV Live
    Handling of UTF8 and UTF16 encoding, and case insensitive external subtitles
    DVD ISO remuxed by default / DTS 768kBps support on PS3
    CUE playlist support
    Pseudo chapters support via the #Transcoded folder
    DVD ISO thumbnails support
    Updated tsMuxeR binaries (better H264 camcorders support)
    Windows: Launcher now detects Java 64 bits if installed
    Windows: Updated mencoder/mplayer/ffmpeg builds
    OS X: tsMuxeR and FLAC binaries are now available in this build, this adds a lot of features on Mac which were previously only available on Windows or Linux (like DTS and remux support)
    OS X: iPhoto and iTunes library support (thanks to Pedro Simoes)
    OS X: Native look, now looks more like a Mac application
    OS X: Updated mencoder/mplayer/ffmpeg builds, support for FriBidi
    OS X: Updated build script to make a bundle or dmg automatically (thanks to Josh Klun)
    New translations: Catalan (Thanks to adrianeitor92), Czech (thanks to Mila), Danish (thanks to Niclas Gleesborg), Slovenian (thanks to Rob Wall)

    - Fixes

    New and experimental HTTP engine: better media renderer support / no more random sound cuts when playing mp3s
    Fixed slow a/v out of sync on Xbox360 ?
    Media library major speed and size improvements (you may have to reset the library)
    Improved fix for the stopped videos issue
    Better support for mkvs with NTSC video track
    Fixed spaces usage in the audio/subtitles configurations
    Fixed black screen with some AVC videos badly flagged at L4.1
    Fixed cover art files not always read
    Fixed bug with multiple playlist in one folder
    OS X: Reopening of the main window after you closed it is now possible, also fixes start as minimized (thanks to grcvoodoorush)
    OS X: Configuration file now stored outside of the bundle so that you don't lose your settings when you upgrade to a new version (thanks to grcvoodoorush)
    OS X: Unicode files are now playable (thanks to Thierry Pittet)
    Linux: Included PMS.conf and fixed the permissions on executables
    FreeBSD: Fixed transcoding

1.10.5 - 2009-03-08

    - Fixes:

    Regression in FLAC playback
    Fixed subtitles font detection on Windows
    Flaw in the transcode/remux buffer, in some cases, the video stopped after a few minutes
    Cache bug when streaming web medias
    Duplicate items issue on Linux
    Upnp alive message sent sooner at the start of the server

1.10 - 2009-03-02

    - Changes / Features : Windows/Linux

    DTS / DTS-HD core audio tracks are now streamable without re-encoding (DVD ISOs not supported yet)
    New Option: unification of Mencoder/tsMuxeR engines, including:
    . Automatic choice between H264 muxing or transcoding, based on AVC Level 4.1 compatibility and subtitles configuration
    . Remux on the fly any H264 content from MOV, MP4, and AVI containers (ex: Apple HD Trailers)
    . This option is enabled by default and can be disabled via the #Video Settings# virtual menu if anything goes wrong
    TS/M2TS support improvement
    2 channels downmixing support with PCM conversion

    - Changes / Features : All Platforms

    XBox 360 unofficial support (Pictures/Music/Videos : WMV8/WMA2 transcoding)
    Mencoder archive handling (no seeking support)
    Simplified copy (always available, no more option), and much faster with remuxed videos
    Alternate subtitles directory
    Multi language external subtitles support
    Alternate cover art folder and <video>.jpg additional support (along existing <video>.<ext>.cover.jpg)
    Automatic album art download from amazon or discogs
    Option to display more recents file first in a directory
    Ability to generate video thumbnails with Mplayer
    New translations: Romanian (thanks to Marinescu Alexandru Cezar), Simplified Chinese and Traditional Chinese (thanks to KK Tong)
    Updated translations: Finnish, German, Greek, Icelandic, Japanese, Norwegian, Portuguese, Swedish

    - Fixes

    Reworked RSS parsing (youtube playlists)
    Reworked Audio/Subtitles tracks handling
    Better stability in LPCM and DTS handling
    Fixed LPCM channel ordering
    Wrong font detection on some systems: subtitles weren't loaded
    Fixed tsMuxeR crash at the end of file
    Modified UPNP discovery [work in progress]

1.04 - 2009-02-04

    - Changes / Features

    New option to enable video copy on PS3
    RAW images thumbnail support: CR2/CRW/PEF/NEF/ORF/SRF/MRW/DNG/ARW/RAF
    New translations: Spanish (thanks to Jose from www.playstationhoy.com), Dutch (thanks to Vincent Meylof), German (thanks to Jeuki), Russian (thanks to Peter Klassen), Polish (thanks to Maciej Bocian), Greek (thanks to Alexander Polichroniadis), Portuguese (thanks to Hugo Sousa), Finnish (thanks to Ove Sentlig), Norwegian (thanks to Ball80 and Topguy), Swedish (thanks to Dusan Ilic) and Japanese (thanks to Yu)
    New extensions supported: SHN/M2V/M2P
    tsMuxeR engine can now mux or re-encode in AC-3/PCM all audio tracks in real time
    Add the experimental mencoder build for multicore on OS X
    DVR-MS windows remuxer now included by default

    - Fixes

    tsMuxeR's AC-3/LPCM encode/muxing + Mencoder's LPCM remuxing now working on Linux
    Fixed LPCM seeking issue
    Fixed regression with PicasaWeb images feed
    Changes in subtitles loading / Fonts support (Default/ASS/Embedded Fonts)
    Fixed channels order with tsMuxeR engine's DTS->AC-3 option
    Transcode buffer wasn't fully released after end of video
    Fixed bug with shared folders selection on Windows
    Fixed periodic alive messages sent to PS3
    Better dvr-ms media info retrieval
    Updated ffmpeg/mplayer/mencoder/mt builds on Windows and OS X (slight H264 speedup for singlecore)
    Buffer issues with transcoded audio files lasting more than 10 minutes
    Fixed RSS parsing with some feeds

1.03 - 2009-01-18

    - Changes / Features

    Customize encoding parameters (along with default ones) for any given container/codec/property combination (purpose: A/V sync, playback issues, and tweaking for advanced users)
    Ability to select networking interface
    OS X 10.4 Tiger support (Intel only)
    Settings reorganization
    M4V now streamed by default, you have to enter the #Transcoded# folder to force the transcode (like AVI files)
    WMA now transcoded by default
    Italian localization
    WINDOWS ONLY: Use (only with 720p/1080p H264 content) an experimental mencoder build for multicores : http://code.google.com/soc/2008/ffmpeg/appinfo.html?csaid=9FD2BF705A5D5DBB
    New OS X icon (thanks to Jakob Karlsson)
    Added a "Skip/Force transcode extensions" option added if default settings don't suit you
    Possibility to only remux AC-3 audio tracks and not re-encoded them

    - Fixes

    Default platform charset issue
    Transcode buffer optimization on Windows
    Application crash on Windows when too many widechars filenames were parsed
    Audio tracks sorted by track number (if present) in media library
    Better filenames/subtitles management (m2ts/ts/dvr-ms issues, commas, widechars, etc.)
    External subtitles not always loaded, again
    DVD images are listed in the media library
    Fixed RSS parsing for Youtube and maybe other feeds
    AviSynth / VideoLAN not always detected on Vista 64bits
    Unavailable engines exclusion on OS X/Linux
    Fixed console mode on Linux

1.02.1 - 2009-01-05

    - New features

    OS X build now uses Java 1.5 instead of 1.6 so it should be able to run on more macs

    - Fixes

    Major Bug in server start due to a faulty MAC address retrieval
    PMS do not start after activating the archive browsing option
    Media library small fixes
    Subtitles now work by default on OS X

1.02 - 2009-01-04

    - New features

    Auto-updater, default configuration, cleanups and windows/linux build scripts (thanks to Tim Cox)
    Media library (also act as a parsing cache)
    Playlists (m3u/pls) support
    Preliminary album art support, better audio (flac) and tags parsing
    New options for video resolution, deinterlace filter, and archives browsing
    Better video settings with virtual PS3 menu (A/V sync, deinterlace, ...)
    Windows service installer (working on 32 bits only)
    New image parsing library: Better performance / EXIF support (sort photos by camera model, etc.)
    DVR-MS addon

    - Fixes

    A/V out of sync issues with some ISOs and medias / codecs support improvement (flv, rmvb, hdmov, mp4, multichannels avi, etc.)
    External subtitles not always loaded
    Upnp advertising issue in search reply to the PS3 (thanks to Daniel Pedersen)
    SkipLoopFilter is now disabled by default
    Regression since 0.98, server would not start on some machines
    Newest builds of ffmpeg/mplayer/mencoder for win32
    Usual bunch of fixes

1.01 - 2008-12-18

    - New features

    Mac OS X version !! (thanks to Robin Mulder)
    Audio High Fidelity engine: 24bits/96kHz/5.1 FLAC support (HDMI receiver mandatory)
    French localization
    Audio/Subtitles priority settings (same as Haali Media Splitter)
    Truetype font setting, with some new codepages, for asian subtitles

    - Fixes:

    m4a and aac are now transcoded by default (iTunes Apple Lossless compatibility)
    seeking issues with dvr-ms and tsMuxeR with AC-3/PCM mode
    Displayed aspect ratio preserved

1.00 - 2008-12-14

    - New Features

    GPL licensing :)
    IDX/SUB support for AviSynth ONLY
    Revamped some UI, especially transcoding settings
    First attempt to make an LPCM or AC-3 automatic conversion with tsMuxeR (seeking isn't working well and demuxed audio delays are not managed)
    AviSynth script is now really fully customizable

    - Fixes

    VIDEO_TS folders are now case insensitive
    Yet another flac parsing bug
    Sync issues management for xvid/mp3
    .ass subtitles files support
    UUID random generation, it's now possible to launch multiple servers on one network.
    Added wmv binary codecs in Windows package for smooth WMV-HD transcoding
    Rare and random video glitch due to another seeking bug

0.99 - 2008-12-12

    - New features:

    DVD ISOs images / VIDEO_TS Folder transcoder
    DVR-MS support (need feedback)
    Better subtitles configuration
    Small things: FAQ, Thumbnail seeking position, UI changes, New Options, etc.

    - Fixes:

    Network/Transcode optimization: Wifi/Homeplug streaming should be smoother
    A/V out of sync correction
    Unsupported data error on almost SD videos when maximum bitrate was fixed
    tsMuxeR broken on Linux
    Videos with FLAC audio tracks are now muxable to LPCM, along with DTS
    Videos paused due to seeking bug
    Audio files parsing method changes (Hope this will solve issues with some flac files)
    Faster transcode start
    Better support for audio low sample rates (<= 22kHz) based files
    Subtitle files: .sub support was broken

0.98

    - New features:
    Lossless 5.1 PCM transcoding with DTS movies (Disabled by default, check the previous paragraph first)
    Customizable AviSynth script
    Audio podcasts, just tested the one from Engadget
    tsMuxeR now working on Linux for basic muxing (don't forget to give it execution rights)
    Web video streamdump engine (Useful for streams natively supported by PS3, such as mpeg on rtsp)
    Maximum bitrate management
    Small things: Runnable in console mode under Linux ("PMS.sh console"), Folder prioritization of a specific streaming/transcoding engine, Custom cover art, additional infos on thumbnails

    - Fixes:
    Potential network problem with Java/Vista + increase of packet ttl
    Transcode will not start with potential error 80710091
    Flac transcoder
    Audio tags for all audio codecs
    Faster start of audio transcoded files

    - Changes:
    Revamped inter process communication on Windows between Java/Mencoder/tsMuxeR (much more elegant now).

0.97

    - Added:   GUI Configuration (at last!) / Transcoding options, encoding presets, etc.
    - Added:   Ability to choose the default transcoding engine (mencoder only, avisynth+mencoder, avisynth+ffmpeg, tsmuxer, or none)
    - Added:   tsMuxeR as a real time muxer (Kinda experimental)
    - Added:   A good audio tag reader library (http://entagged.sourceforge.net/)
    - Fixed:   Bugs in UPNP advertising.
    - Fixed:   Mencoder font cache bug which prevents transcode to start
    - Fixed:   DLNA errors due to character encoding
    - Fixed:   New folders were not refreshed/rescanned automatically
    - Fixed:   (maybe) Network streaming (no transcode) performance issue (need feedback on this)

0.96

    - Added:   Interactive way of choosing your audio language, subtitles and transcoder mode (see #Transcoded# Folder)
    - Added:   Interactive settings (see #Settings# Folder)
    - Added:   Better subtitles looking
    - Fixed:   Folders browsing optimization
    - Fixed:   Several network errors fixes with 2.52 firmware
    - Fixed:   A lot of small things

0.95

    MEncoder now included as it's used for the transcoding part (Avisynth or not), Fixes with the 2.50 firmware,
    Better transcoding performance (but greater bitrates !), Lighter configuration file

0.94

    Fixes: 2.50 Firmware problem, better pipes and sub processes management

0.93

    Fixed bug in the server IP adress binding

0.92

    Linux compatible version / Many bugs fixes / No more A/V temp files created (full use of pipes)

0.91

    Better memory handling / automatic detection of VLC and AviSynth

0.90

    First release, some bugs, experimental stuff done for myself (at first!)